POST
/api/account/login
const url = 'https://example.com/api/account/login';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/account/login \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "password": "example" }'Verifies a customer account’s email/password and returns a customer-scope token. Repeated failures lock the account for a short window.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
email
required
string format: email
password
required
string
Example generated
{ "email": "hello@example.com", "password": "example"}object
email
required
string format: email
password
required
string
Example generated
{ "email": "hello@example.com", "password": "example"}object
email
required
string format: email
password
required
string
Example generated
{ "email": "hello@example.com", "password": "example"}Responses
Section titled “ Responses ”Credentials accepted.
Media type application/json
Result of a successful signup/login.
object
token
string
expiresAt
string format: date-time
account
The authenticated customer account attached to the current bearer token.
object
id
string format: uuid
email
string
fullName
string
emailVerified
boolean
Example generated
{ "token": "example", "expiresAt": "2026-04-15T12:00:00Z", "account": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "email": "example", "fullName": "example", "emailVerified": true }}Email or password incorrect.
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Account suspended.
Too many attempts - account temporarily locked.